.TH techbook 1
.SH NAME
techbook - Call the TechBook markup language interpreter
.SH SYNOPSIS
.B techbook
[options] [INPUT FILE]
.SH DESCRIPTION
\f\ITechBook\fP is a simple markup language. This command compiles a
TechBook document into a PDF, using Ruby's \&\fIPDF::Writer\fR\|
module. 
.SH OPTIONS
\fItechbook\fP can be called using the following options:
.TP 8
.B  \-n, \-\-no\-cache
By default, the techbook command will generate the PDF document and a
cached version of the document. If the input file is "test.pwd", then
both "test.pdf" and "test._mc" will be generated. This switch disables
the generation of the _mc file.
.TP 8
.B  \-f, \-\-force\-regen
If the input file is older than the generated cache document (if one
exists), then the techbook command will regenerate the document. This
option forces the cache to be regenerated.
.TP 8
.B  \-z, \-\-compress
The resulting PDF is by default not compressed. Specifying this option
compresses the PDF. It can only be applied if the document is being
generated from the original document, not from a cached version.
.TP 8
.B  INPUT FILE
Specifies the source filename to be processed. If no input file is
specified, it defaults to \f\Imanual.pwd\fP.
.SH SEE ALSO
This description was basically copied over from Ruby's
\fIPDF::Writer\fP manual, which can be found in Debian's
\fIlibpdf-writer-ruby-doc\fP package, under
\fI/usr/share/doc/libpdf-writer-ruby-doc/\fP
.SH AUTHOR
This manual page was written by Gunnar Wolf <gwolf@debian.org>, for
the Debian GNU/linux system (but may be used by others).
.PP
PDF::Writer is Copyright © 2003-2005 Austin Ziegler.
